Cocoon API: Class fpLibrary

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.processor.xsp.library.fp
Class fpLibrary

    java.lang.Object
      |
      +--org.apache.cocoon.processor.xsp.library.fp.fpLibrary

public class fpLibrary
extends java.lang.Object

Constructor Summary
`fpLibrary()`

Method Summary
`protected static void` | `doMarkup(org.w3c.dom.Node node, java.lang.StringBuffer buffer)`
`static java.lang.String` | `getAsMarkup(org.w3c.dom.Node node)`
`static void` | `getErrors(org.w3c.dom.Node cNode, java.util.Hashtable errors)`
`static void` | `handleFileResource(org.w3c.dom.Node cNode, javax.servlet.http.HttpServletRequest request, javax.servlet.ServletContext context, java.util.Hashtable resources, java.util.Hashtable errors, java.lang.String key, java.lang.String file, java.lang.String xpath, java.lang.String mode)`
`static java.lang.Object` | `handleRead(org.w3c.dom.Node cNode, java.util.Hashtable resources, java.util.Hashtable errors, java.lang.String select, java.lang.String key, java.lang.String type)`
`static java.lang.Object` | `handleWrite(org.w3c.dom.Node cNode, java.util.Hashtable resources, java.util.Hashtable errors, java.lang.String select, java.lang.String key, java.lang.Object value, java.lang.String type, java.lang.String mode)`
`static org.w3c.dom.Node[]` | `NodeList2Array(org.w3c.dom.NodeList nodes)`
`static void` | `reportError(org.w3c.dom.Node cNode, org.w3c.dom.Node eNode, java.util.Hashtable errors, java.lang.String message)`
`static void` | `saveResources(org.w3c.dom.Node cNode, java.util.Hashtable resources, java.util.Hashtable errors)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### fpLibrary

    public fpLibrary()

Method Detail

### getErrors

    public static void getErrors(org.w3c.dom.Node cNode,
                                 java.util.Hashtable errors)

### reportError

    public static void reportError(org.w3c.dom.Node cNode,
                                   org.w3c.dom.Node eNode,
                                   java.util.Hashtable errors,
                                   java.lang.String message)

### NodeList2Array

    public static org.w3c.dom.Node[] NodeList2Array(org.w3c.dom.NodeList nodes)

### handleFileResource

    public static void handleFileResource(org.w3c.dom.Node cNode,
                                          javax.servlet.http.HttpServletRequest request,
                                          javax.servlet.ServletContext context,
                                          java.util.Hashtable resources,
                                          java.util.Hashtable errors,
                                          java.lang.String key,
                                          java.lang.String file,
                                          java.lang.String xpath,
                                          java.lang.String mode)

### handleRead

    public static java.lang.Object handleRead(org.w3c.dom.Node cNode,
                                              java.util.Hashtable resources,
                                              java.util.Hashtable errors,
                                              java.lang.String select,
                                              java.lang.String key,
                                              java.lang.String type)

### handleWrite

    public static java.lang.Object handleWrite(org.w3c.dom.Node cNode,
                                               java.util.Hashtable resources,
                                               java.util.Hashtable errors,
                                               java.lang.String select,
                                               java.lang.String key,
                                               java.lang.Object value,
                                               java.lang.String type,
                                               java.lang.String mode)

### getAsMarkup

    public static java.lang.String getAsMarkup(org.w3c.dom.Node node)

### saveResources

    public static void saveResources(org.w3c.dom.Node cNode,
                                     java.util.Hashtable resources,
                                     java.util.Hashtable errors)

### doMarkup

    protected static void doMarkup(org.w3c.dom.Node node,
                                   java.lang.StringBuffer buffer)

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.